Telephony

This implementation of Telephony Application Programming Interface (TAPI) unifies Internet Protocol (IP) and traditional public switched telephone network (PSTN) telephony to support programs that effectively work the same way over intranets, the Internet, and traditional networks. This section provides information for configuring and managing both IP and PSTN telephony servers and clients.
  • Before you begin using telephony with this computer, see Checklists.
  • To find features that have been moved in Microsoft® Windows® 2000, XOX, and the Windows Server 2003 family, see New ways to do familiar tasks.
  • For tips about using telephony, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklists

  • Checklist: Installing IP telephony (H.323)
  • Checklist: Installing IP multicast video conferencing
  • Checklist: Setting up a telephony server
  • Checklist: Setting up telephony clients


Checklist: Installing IP telephony (H.323)

Step | Reference
Review key concepts. | IP telephony
Confirm that TCP/IP is running on your network. | TCP/IP
(Optional) Confirm that you have an Active Directory domain and that a TAPI application directory partition is available on your network.

TAPI application directory partitions are not required for H.323 IP telephony, but if a TAPI application directory partition is available on your network, users of TAPI-based programs can specify user names, rather than computer names or IP addresses, when making H.323-based IP telephony calls.

 TAPI and Active Directory;
Tapicfg;
Active Directory
Configure H.323 gateways and firewall proxies. | To specify an H.323 gateway or proxy
Configure H.323 gatekeepers. | To specify an H.323 gatekeeper
Make voice or video IP telephony calls. | Manufacturer's documentation


Checklist: Installing IP multicast video conferencing

Step | Reference
Review key concepts. | IP multicast video conferencing
Confirm that TCP/IP is running on your network. | TCP/IP
Confirm that your network is enabled for multicast. | Enabling IP multicast
Confirm that you have an Active Directory domain and that a TAPI application directory partition is available on your network. TAPI and Active Directory;
Active Directory
Configure MADCAP on your network for IP multicast telephony.
  • Install the DHCP server if it is not already installed.
  • For networks using domains, you must authorize the DHCP service in the domain's directory service database. This prevents users from setting up unauthorized DHCP services.

    • You do not need to do this, however, if the server has been authorized already (for example, if it already functioning as a DHCP server).

  • To have the DHCP server allocate multicast addresses using the MADCAP protocol, create a new multicast scope.
 DHCP;
To authorize a DHCP server in Active Directory;
To create a multicast scope
Set up multimedia devices on client computers. Setting up clients for IP telephony;
To configure multimedia devices;
Eliminating acoustic echo
Set up conference rooms. Setting up conference rooms;
Eliminating acoustic echo
Make multicast video conference calls. | Manufacturer's documentation.


Checklist: Setting up a telephony server

Step | Reference
Review key concepts. | General telephony concepts
Confirm that you have an Active Directory domain. | Active Directory
For the telephony server, set up or select a computer that is running a Windows Server 2003 operating system and that is in the same domain as the telephony clients or that is in a domain that has a two-way trust relationship with the domain containing the telephony clients. | Trusts
Install telephony hardware and software on the server. | Manufacturer's documentation
Enable the telephony server. | To enable or disable a telephony server
Specify a logon account for the telephony server. (You can create a specific account, such as TAPI_ADMIN.) | To change the Telephony service logon account for a telephony server
Designate telephony administrators who are not in the administrator group on the telephony server. | To designate telephony administrators
Assign telephony users to lines or phones. | To assign a telephony user to a line or phone


Checklist: Setting up telephony clients

Step | Reference
Review key concepts. | General telephony concepts
Confirm that you have an Active Directory domain. | Active Directory
(Optional) Upgrade Windows NT 4.0 and Windows 95 clients to TAPI version 2.1 or later, if you have not already done so. | Resources
Install any necessary telephony hardware and software on the clients. | Manufacturer's documentation
(Optional) If clients are running Windows 98 or Windows Millennium Edition, enable Windows 98 or Windows Millennium Edition telephony clients. | To enable a Windows 98 or Windows Millennium Edition telephony client
On each client, specify the telephony servers to be used by the client. | To specify telephony servers on a client computer; Tcmsetup
Configure general dialing rules, area code rules, and calling cards as required for users. | To create a new location
Dial and receive phone calls. | Manufacturer's documentation.


New ways to do familiar tasks

The following table lists common tasks for configuring telephony. The user interface for performing these tasks is different in this version of Windows from the way it was in Windows NT 4.0.

Note

  • XOX
If you want to In Windows NT 4.0 In this version of Windows use
Create a dialing location Telephony in Control Panel Open Phone and Modem Options.
For more information, see To create a new location.
Configure dialing properties for a location Telephony in Control Panel Open Phone and Modem Options.
For more information, see To change dialing properties for a location.
Specify area code rules Telephony in Control Panel Open Phone and Modem Options.
For more information, see To specify area code rules.
Create a calling card Telephony in Control Panel Open Phone and Modem Options.
For more information, see To create a new calling card.
Set up or disable a telephony server The Tcmsetup command Open Telephony.
For more information, see To enable or disable a telephony server.
Set up or disable a telephony client The Tcmsetup command For this task, there is a user interface difference between Windows 2000 and XOX and the Windows Server 2003 family.

If you have telephony servers or clients that run Windows 2000, use the Tcmsetup command.
For more information, see To specify telephony servers on a client computer.

If you have telephony servers that run Windows Server 2003 and telephony clients that run XOX or a Windows Server 2003 operating system, open Phone and Modem Options. For more information, see To add a telephony service provider.
Assign users to lines or phones The Tcmapp command Open Telephony.
For more information, see To assign a telephony user to a line or phone.
Add a telephony service provider on a local or remote server Telephony in Control Panel Open Telephony.
For more information, see To add a telephony service provider on a telephony server.
Add a telephony service provider on a client Telephony in Control Panel Open Phone and Modem Options.
For more information, see To add a telephony service provider.


Best practices

  • As a rule, any computer with enough processing power to run a Windows Server 2003 operating system can act as a telephony server, linking client computers to hardware, such as a PBX.

    Other services, especially server-side telephony programs, may have different requirements.

    Remember that, if the telephony server is the PBX, it may make additional processing demands.

  • Obtain service provider components required to communicate with a PBX from a PBX vendor or value-added reseller.

    TAPI does not supply the service provider components required to communicate with a PBX.

  • Like networking software, a telephony program must be secured to protect privacy and data integrity.

    The Telephony service must run on a computer that is a member of a Windows Server 2003 domain, and all users must have valid domain accounts. The domain administrator defines which users have permission to communicate with the switch, and the telephony server administrator defines which lines those users can access.

  • Telephony client users must be in the same domain as the telephony server.

    Make sure that telephony clients are in the same domain as a telephony server or in a domain that has a two-way trust relationship with the domain containing the server. MADCAP servers must also be in the same domain as their client computers.

  • Specify the server on a telephony client or install the Windows Remote Service Provider to make lines or phones available to the client users

    TAPI is automatically installed on computers running Windows 95, Windows 98, Windows Millennium Edition, Windows NT 4.0, Windows 2000, XOX, and Windows Server 2003 operating systems. However, unless your servers are running Windows Server 2003, and your clients are running XOX or a Windows Server 2003 operating system, you must specify a server on the telephony clients before the server's lines are available to the client users.

    For more information, see To specify telephony servers on a client computer.

    If your servers are running Windows Server 2003, and your clients are running XOX or a Windows Server 2003 operating system, you only need to add the Windows Remote Service provider.

    For more information, see To add a telephony service provider.

  • Set up a domain and install Active Directory for IP multicast video conferencing (and optionally, for H.323 IP telephony).

    In Windows Server 2003 Active Directory, application directory partitions store and replicate static or dynamic program-specific data. TAPI application directory partitions are not required for H.323 IP telephony, but if one is available on your network, users of TAPI-based programs can specify user names, rather than computer names or IP addresses, when making H.323-based IP telephony calls.

    Note

    • You can still use Internet Locator Service (ILS) servers in your organization, if ILS is needed to support certain programs, because telephony clients running XOX or a Windows Server 2003 operating system can query either ILS servers or TAPI application directory partitions.

    For more information about TAPI and Active Directory, see TAPI and Active Directory.

  • If you create a multicast scope, be certain to provide a range of addresses that is large enough for your needs.

    If a range is not large enough, the scope's pool of addresses will be exhausted. The time-out period must also allow addresses to be reused often enough to keep the pool of addresses from being exhausted. A setting of 30 days is normally sufficient.

    For more information, see Using multicast scopes, To create a multicast scope, and Enabling IP multicast.


How to...

  • Create a multicast scope
  • Manage a TAPI application directory partition
  • Manage telephony servers
  • Manage telephony service providers on a server
  • Manage telephony clients and users
  • Change how phone calls are dialed


Create a multicast scope

Microsoft Windows graphic

To create a multicast scope

  1. Open DHCP.
  2. In the console tree, right-click the applicable DHCP server, and then click New Multicast Scope.

    Where?

    • DHCP
    • Applicable DHCP server
  3. On the Welcome page of the New Multicast Scope Wizard, click Next.
  4. Type a name and description for the scope, and then click Next.
  5. In IP Address range, type a valid IP address range for the multicast scope.
  6. In TTL, specify the number of routers that multicast traffic should pass through on your network.
  7. In Add Exclusions, add any IP addresses or a range of IP addresses to exclude from the distribution, and then click Next.
  8. In Lease Duration, select a DHCP lease duration for the affected IP addresses, and then click Next.
  9. In Activate Multicast Scope, click Yes or No to specify whether to activate the multicast scope immediately, and then click Next.
  10. In Completing the New Multicast Scope Wizard, click Finish.
  11. Repeat the procedure to create any additional scopes.

Notes

  • XOX
  • XOX
  • Provide a range of addresses that is large enough for your needs, and be sure to set a time-out period that will allow addresses to be reused often enough to keep the scope's pool of addresses from being exhausted. A setting of 30 days is normally sufficient.
  • If you are running the MADCAP server inside a domain, it might generate warning messages for granting permissions to the DHCP server. For more information, see Related Topics.

Related Topics


Manage a TAPI application directory partition

  • Create a TAPI application directory partition
  • Remove a TAPI application directory partition


Create a TAPI application directory partition

Microsoft Windows graphic

To create a TAPI application directory partition

  1. Verify that the computer is a domain controller and that the Active Directory directory service is running.
  2. Open Command Prompt.
  3. At the command prompt, type:

    tapicfg install /directory:PartitionName [/server:DCName] [/forcedefault]

    4. Value | Description
/directory:PartitionName | Required. Specifies the DNS name of the TAPI application directory partition that is to be created. Note that this name must be a fully qualified domain name.
/server:DCName | Specifies the DNS name of the domain controller on which the TAPI application directory partition is to be created. If the domain controller name is not specified, the name of the local computer is used.
/forcedefault | Specifies that this directory will be the default TAPI application directory partition for the domain. There can be multiple TAPI application directory partitions in a domain. If this application directory partition is the first TAPI application directory partition created on the domain, it is automatically set as the default, regardless of whether you use the /forcedefault option.

Notes

  • To perform this procedure, you must be a member of the Enterprise Admins group in Active Directory.
  • XOX
  • To view the complete syntax for this command, at the command prompt, type:

    tapicfg help

  • You can also use tapicfg to create and remove service connection points that enable telephony clients to efficiently locate TAPI application directory partitions in a domain. For more information, see Related Topics.
  • You can also create a TAPI application directory partition by running the Configure Your Server Wizard. If you select Typical setup for a first server, a TAPI application directory partition with the name MSTAPI.DomainName is automatically created on the first domain controller that is configured in a forest. For more information about the prerequisites for configuring the typical setup for a first server, see Related Topics.

Related Topics


Remove a TAPI application directory partition

Microsoft Windows graphic

To remove a TAPI application directory partition

  1. Open Command Prompt.
  2. At the command prompt, type:

    tapicfg remove /directory:PartitionName

    3. Value | Description
/directory:PartitionName | Required. Specifies the DNS name of the TAPI application directory partition that is to be removed. Note that this name must be a fully qualified domain name.

Notes

  • To perform this procedure, you must be a member of the Enterprise Admins group in Active Directory.
  • XOX
  • To view the complete syntax for this command, at the command prompt, type:

    tapicfg help

  • If you do not know the name of the TAPI application directory partition, at the command prompt, type tapicfg show to view a list of the TAPI application directory partitions that are in the domain. Type tapicfg show [/defaultonly] to view the TAPI application directory partition that is the default for the domain.
  • You can also use tapicfg to create and remove service connection points that enable telephony clients to efficiently locate TAPI application directory partitions in a domain. For more information, see Related Topics.

Related Topics


Manage telephony servers

  • Enable or disable a telephony server
  • Add a server to the Telephony console
  • Delete a server from the Telephony console
  • Designate telephony administrators
  • Change the Telephony service logon account for a telephony server
  • Update information for a telephony server


Enable or disable a telephony server

Microsoft Windows graphic

To enable or disable a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. On the Setup tab, do one of the following:
    • To enable the telephony server, select the Enable telephony server check box.
    • To disable the telephony server, clear the Enable telephony server check box.
  5. If you are enabling the telephony server, under Account Information, specify a logon account for the Telephony service. For more information, see Related Topics.

Notes

  • XOX
  • XOX
  • If the Enable telephony server check box is unavailable, you need to start the Telephony service first. For more information, see Related Topics.
  • This procedure changes whether clients can use the telephony devices on the server. Changes take effect the next time the system attempts to start the Telephony service.

Related Topics


Add a server to the Telephony console

Microsoft Windows graphic

To add a server to the Telephony console

  1. Open Telephony.
  2. In the console tree, click Telephony.

    Where?

    • Telephony
  3. On the Action menu, click Add Computer.
  4. In the Select Computer dialog box, click Locations, and then click the domain where the server is located.
  5. In Enter the object name to select, enter the name of the telephony server to manage, and then click OK.

Notes

  • XOX
  • XOX
  • The telephony server must be enabled on the computer you want to administer. For more information, see Related Topics.

Related Topics


Delete a server from the Telephony console

Microsoft Windows graphic

To delete a server from the Telephony console

  1. Open Telephony.
  2. In the console tree, click the server you want to remove.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Delete.

Notes

  • XOX
  • XOX
  • This procedure removes the server from the Telephony console. It does not disable it or prevent it from being used by telephony clients. For the procedure to disable a telephony server, click Related Topics.

Related Topics


Designate telephony administrators

Microsoft Windows graphic

To designate telephony administrators

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. On the Setup tab, in Telephony administrators, click Add.
  5. In the Select Users dialog box, click Locations, and then click the domain where the user account is located.
  6. In Enter the object names to select, enter the name of the user to be designated as a Telephony administrator, and then click OK.

Notes

  • XOX
  • XOX
  • Use this procedure to enable users who are not administrators for the server to administer the Telephony service.
  • If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object names to select by using the following format:

    domain\username

Related Topics


Change the Telephony service logon account for a telephony server

Microsoft Windows graphic

To change the Telephony service logon account for a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties.
  4. On the Setup tab, in Account Information, click Choose User.
  5. In the Select User dialog box, click Locations, and then click the domain where the account is located.
  6. In Enter the object name to select, type the name of the account, and then click OK.

Notes

  • XOX
  • XOX
  • If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object name to select by using the following format:

    domain\username

Related Topics


Update information for a telephony server

Microsoft Windows graphic

To update information for a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. In the Action menu, click Refresh.

Notes

  • XOX
  • XOX
  • This procedure updates the status of lines and phones, displays new lines and phones, and shows changes made by others administering the Telephony service.

Related Topics


Manage telephony service providers on a server

  • Add a telephony service provider on a telephony server
  • View the status of a telephony service provider's lines or phones
  • Export telephony service provider information to a text file
  • Enable auto updates for telephony devices
  • Configure telephony service providers on a telephony server


Add a telephony service provider on a telephony server

Microsoft Windows graphic

To add a telephony service provider on a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. In the Action menu, click Manage Providers.
  4. In the Telephony Providers dialog box, click Add.
  5. In the Add Provider dialog box, under Available telephony providers, select the telephony service provider that you want to add, and then click Add.

    6. If the telephony service provider you want to add does not appear in this list, you must install the appropriate driver files for the telephony service provider. For more information, see Notes.

  6. In the Telephony Providers dialog box, review the list of installed telephony service providers to confirm that the provider was added to the list, and then click Close.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator (for information about designating telephony administrators, see Related Topics). If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.
  • XOX
  • After you add a telephony service provider, the Telephony console might not display the lines and phones supported by the service provider until after the computer is restarted.
  • If the telephony driver is not listed in the Available telephony drivers list in the Add Provider dialog box, you must install the driver files in the Systemroot\system32 folder. Usually you can use the setup program on a telephony device manufacturer's installation disk. For additional information, see the manufacturer's installation instructions.

Related Topics


View the status of a telephony service provider's lines or phones

Microsoft Windows graphic

To view the status of a telephony service provider's lines or phones

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. Click View.
  4. Click Lines or Phones.

Notes

  • If the telephony server is not enabled, performing this task does not require administrative credentials. Any user who logs on to the telephony server can view the status of the lines and phones for each telephony service provider on the server. In addition, that user can view the names of all users who are assigned to lines or phones on the server.
  • If the telephony server is enabled, to view the status of lines or phones for each telephony service provider on the server you must log on to the telephony server as one of the following:
    • A member of the local Administrators group on the telephony server. (If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure.)
    • A telephony administrator. (For more information about designating telephony administrators, see Related Topics.)
    • A user who is assigned to a line or phone on the telephony server.

    Members of the local Administrators group on the telephony server and telephony administrators can view the names of all users who are assigned to lines or phones on the server. However, a user who is assigned to a line or phone on the server cannot view the names of other users who are assigned to lines or phones on the server. For information about enabling a telephony server, see Related Topics.

  • XOX

Related Topics


Export telephony service provider information to a text file

Microsoft Windows graphic

To export telephony service provider information to a text file

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. On the Action menu, click Export List.

Notes

  • If the telephony server is not enabled, performing this task does not require administrative credentials. Any user who logs on to the telephony server can export telephony service provider information to a text file. The information that is exported will include a list of telephony lines and phones on the telephony server and the names of users who are assigned to each of the telephony lines or phones.
  • If the telephony server is enabled, to view the status of lines or phones for each telephony service provider on the server you must log on to the telephony server as one of the following:
    • A member of the local Administrators group on the telephony server. (If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure.)
    • A telephony administrator. (For more information about designating telephony administrators, see Related Topics.)
    • A user who is assigned to a line or phone on the telephony server.

    Members of the local Administrators group on the telephony server and telephony administrators can export the names of users who are assigned to each of the telephony lines or phones on the server. However, a user who is assigned to a line or phone on the server cannot export the names of other users who are assigned to lines or phones on the server. For information about enabling a telephony server, see Related Topics.

  • XOX
  • This procedure exports the list of telephony lines or phones to a text file.

Related Topics


Enable auto updates for telephony devices

Microsoft Windows graphic

To enable auto updates for telephony devices

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Properties, and then click the Auto Updates tab.
  4. Select the Enable device status auto updates check box.
  5. Next to Interval, type the Hours and Minutes between automatic updates.

Notes

  • XOX
  • XOX
  • The action enabled by this procedure updates only the status information for lines and phones.

Related Topics


Configure telephony service providers on a telephony server

Microsoft Windows graphic

To configure telephony service providers on a telephony server

  1. Open Telephony.
  2. In the console tree, click the server you want to manage.

    Where?

    • Telephony
    • server
  3. On the Action menu, click Manage Providers.
  4. Click the telephony service provider you want to configure, and then click Configure.

    If Configure is not available, then the telephony service provider has no configurable properties.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator (for information about designating telephony administrators, see Related Topics). If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.
  • XOX
  • The settings you can change depend on the telephony service provider.
  • You can also configure telephony service providers on the local computer using Phone and Modem Options in Control Panel. For more information, see Related Topics.

Related Topics


Manage telephony clients and users

  • Assign a telephony user to a line or phone
  • Remove users from telephony lines or phones
  • Specify telephony servers on a client computer
  • Add a telephony service provider
  • Configure a telephony service provider
  • Specify an H.323 gateway or proxy
  • Specify an H.323 gatekeeper
  • Specify H.323 call control options
  • Enable a Windows 98 or Windows Millennium Edition telephony client


Assign a telephony user to a line or phone

Microsoft Windows graphic

To assign a telephony user to a line or phone

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. In the details pane, under Line Name or Phone Name, click the line or phone.
  4. On the Action menu, click Edit Users.
  5. In the Edit Users dialog box, click Add.
  6. In the Select Users dialog box, click Locations, and then click the domain where the user is located.
  7. In Enter the object names to select, enter the name of the user to be assigned a line or phone, and then click OK.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator (for information about designating telephony administrators, see Related Topics). If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.
  • By default, members of groups with administrative credentials for a telephony server already have access to all telephony lines or phones on that server and therefore do not need to be assigned lines or phones on the server. Members of the local Administrators group can access all lines or phones on that server from any other computer in the domain. Members of the Domain Admins group can access all telephony lines and phones on all servers in the domain.
  • XOX
  • After you perform this procedure, telephony client programs run by the user will be able to use the line or phone on the telephony server.
  • A user added for a phone or line must be in the same domain as the telephony server or in a domain that has a two-way trust relationship with the domain containing the server.
  • If the user's domain is not listed in the Locations dialog box, try specifying the domain in Enter the object names to select by using the following format:

    domain\username

  • Before a user can use the telephony line or phone, the telephony server must be specified on the client computer. For more information, see Related Topics.

Related Topics


Remove users from telephony lines or phones

Microsoft Windows graphic

To remove users from telephony lines or phones

  1. Open Telephony.
  2. In the console tree, click the service provider you want to manage.

    Where?

    • Telephony
    • server
    • service provider
  3. In the details pane, under Line Name or Phone Name click the line or phone.
  4. In the Action menu, click Edit Users.
  5. In Assigned Users, click a user, and then click Remove.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer, or you must be designated as a telephony administrator (for information about designating telephony administrators, see Related Topics). If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure. As a security best practice, consider using Run as to perform this procedure.
  • XOX
  • After you perform this procedure, telephony client programs run by the user will be unable to use the line or phone on the telephony server.
  • You can remove multiple users from telephony lines or phones at one time by using the Tsecimp command. For more information, see Related Topics.

Related Topics


Enable a Windows 98 or Windows Millennium Edition telephony client

Microsoft Windows graphic

To enable a Windows 98 or Windows Millennium Edition telephony client

  1. On a Windows 98 or Windows Millennium Edition telephony client computer, click Start, point to Settings, and then click Control Panel.
  2. Double-click Network.
  3. (Optional) If Client for Microsoft Networks is not in the list of installed network components, click Add, and follow the instructions to add it.
  4. Click File and Print Sharing, confirm that both check boxes are selected, and then click OK.
  5. Click the Access Control tab, click User-level access control, then click OK.

Note

  • After you complete this procedure, you need to specify a telephony server on the client. To make the telephony resources on the server available to the client users, the server administrator needs to assign the users to telephones or lines on the server. Users must log on to a trusted domain account. For more information, see Related Topics.

Related Topics


Change how phone calls are dialed

  • Create a new location
  • Change dialing properties for a location
  • Specify area code rules
  • Specify numbers to dial an outside line
  • Create a new calling card
  • Modify an existing new calling card
  • Use a calling card for long distance dialing
  • Specify a long distance carrier


Concepts

This section provides general background information about Telephony Application Programming Interface (TAPI):

  • Telephony overview
  • TAPI and Active Directory
  • Telephony service providers
  • Understanding telephony
  • Using telephony
  • Resources


Telephony overview

Telephony Application Programming Interface (TAPI) integrates telecommunications with the computer. TAPI supports both traditional (or PSTN) and IP telephony to provide voice, data, and video communication. Supported hardware includes sound and video cards, modems, ISDN lines, ATM networks, and cameras. With this, you can communicate over direct connections to local computers, phone lines, LANs, WANs, and the Internet.

In addition to making and receiving calls, programs can use TAPI to provide enhanced telephony features such as caller ID, call routing, voice mail, and video conferencing. Communication programs may identify the caller, recall and display caller information, and even prioritize or route a call, based on customer information.

With TAPI, there is a common standard so that communication programs can control telephony functions for data, fax, and voice calls.

  • TAPI manages all signaling between a computer and a telephone network, including basic functions such as dialing, answering, and hanging up a call.
  • TAPI includes supplementary functions that are found in PBX, ISDN, and other phone systems, such as hold, transfer, conference, and call park.
  • TAPI provides access to features that are specific to certain service providers, with built-in extensibility to accommodate additional telephony features and networks.
  • TAPI allows users to make audio and video telephone calls over IP networks using the H.323 protocol and IP multicast video conferencing.
  • TAPI includes Quality of Service (QoS) support to improve conference quality and network manageability.

These capabilities enable TAPI to unify IP and traditional telephony and support programs that effectively work the same way over intranets and the Internet as they do over the traditional telephone network. Furthermore, the current version of TAPI provides compatibility with previous versions to support existing telephony programs.

HyperTerminal and Network Connections are communication programs that use TAPI and that are provided with the Microsoft® Windows® Server 2003 family. Fax Services, another communication program that uses TAPI, is available on an optional basis. For information about how to add optional Windows components, see To add or remove a Windows component. You can also install other Microsoft or non-Microsoft programs to provide additional telephony support. The common interface that TAPI provides enables different communication programs to work together and share communication devices.


TAPI and Active Directory

Active Directory is the extensible and scalable directory service for Windows Server 2003 operating systems. TAPI-based programs use Active Directory to facilitate H.323-based IP telephony calls and multicast conferencing.

Active Directory publishes the locations of all TAPI application directory partitions on the network and provides the directory store for TAPI program-specific data. In Active Directory, application directory partitions store and replicate static or dynamic program-specific data. TAPI-based programs can use TAPI application directory partitions to store and retrieve information to facilitate H.323-based IP telephony calls and multicast conferencing.

TAPI provides transparent translation from user or computer names to IP addresses. When you place an H.323-based IP telephony call, you can specify a computer name or a user name, rather than an IP address, because TAPI application directory partitions publish user names, computer names, and IP addresses, and TAPI can translate user or computer names to IP addresses.

For multicast conferencing, TAPI application directory partitions publish information about active users and IP multicast conferences in progress. Information about active users includes the users' names, computer names, and IP addresses. Information about conferences in progress includes the conferences' names, descriptions, times, and originators.

You can create TAPI application directory partitions in one of two ways:

  • By using the Tapicfg command-line tool. You can also use this command to remove or display TAPI application directory partitions and to set default TAPI application directory partitions. For more information, see Tapicfg.
  • By selecting the Typical setup for a first server option when running the Configure Your Server Wizard to configure the first domain controller in a domain. When you select this option, the Tapicfg command runs transparently to create a TAPI application directory partition called MSTAPI.DomainName. This application directory partition is set as the default for the domain. For more information about the prerequisites for using this option, see Typical setup for a first server.

For more information about application directory partitions, see Application directory partitions. For more information about the H.323 IP protocol and the telephony service provider that supports it, see H.323 IP telephone calls.

Note

  • If Internet Locator Service (ILS) is needed to support certain programs, you can continue to use ILS servers in your organization because telephony clients running Windows Server 2003 operating system can query either ILS servers or TAPI application directory partitions.


Telephony service providers

The following telephony service providers are supplied with this version of the Windows operating system.

HID Phone TAPI Service Provider

The Human Interface Device (HID) Phone TAPI Service Provider allows users of TAPI-based programs to make and receive telephone calls by using universal serial bus (USB) telephone handsets connected to their computers. This service provider is installed with Windows Server 2003 operating systems, and it requires no configuration.

NDIS Proxy TAPI Service Provider

The Network Driver Interface Specification (NDIS) Proxy TAPI Service Provider enables TAPI to control NDIS 5 devices. Routing and Remote Access uses this telephony service provider to set up network connections across NDIS WAN devices for My Network Places (for more information about My Network Places, see Other Places overview). This service provider is installed with XOX and Windows Server 2003 operating systems. To map addresses for the different types of calls received by the NDIS Proxy TAPI Service Provider on the local computer, see To configure a telephony service provider.

TAPI Kernel-Mode Service Provider

The TAPI Kernel-Mode Service Provider allows TAPI to control NDIS 4 devices. Network Connections uses this telephony service provider to set up network connections across NDIS WAN devices for My Network Places (for more information about My Network Places, see Other Places overview). This service provider is installed with XOX and Windows Server 2003 operating systems, and it requires no configuration.

Unimodem 5 Service Provider

The universal modem driver (Unimodem) provides services for data, fax, and voice modems so that users and program developers will not have to learn or maintain modem AT commands to dial, answer, and configure modems. Unimodem performs these tasks by using files that specify the AT command sets and expected responses for modems. These files usually have an .inf extension. Unimodem supports both data and voice, so a modem can be used for data and fax functions, as a speaker phone, as an answering machine, and so on. This service provider is installed with XOX and Windows Server 2003 operating systems.

Windows Remote Service Provider

The Windows Remote Service Provider enables a client computer to access and control remote telephony devices connected to a server computer, such as telephones and phone lines. The remote service provider makes the client-to-server link transparent to programs.

Windows Remote Service Provider

The Windows Remote Service Provider resides on the client computer, where it appears as a telephony service provider. When a program makes a TAPI request, the service provider interprets the request and sends it across the computer network to the Telephony service running on the server. The program then uses the telephony service provider for the telephone device installed on the server. By using this solution, clients can share a telephony resource over the network.

The Windows Remote Service Provider is installed with TAPI 2.2 on Windows 2000, Windows Millennium Edition, XOX, and Windows Server 2003 operating systems. On Windows 98 and Windows NT Service Pack 4, the Windows Remote Service Provider is included with TAPI 2.1. Windows NT 4.0 and Windows 95 clients need to upgrade to TAPI 2.1.

H.323 TAPI Service Provider

The H.323 TAPI Service Provider allows TAPI-supported programs to engage in multimedia calls with any H.323-compliant terminal on the local area network. It is also designed to work well with standard phone or Internet phone gateways. This service provider supports programs that enable computer users to interconnect and communicate with other people over IP-based networks. This service provider is installed with XOX and Windows Server 2003 operating systems.

Multicast Conference TAPI Service Provider

The Multicast Conference TAPI Service Provider supports IP multicast video conferencing for telephony clients. Using IP multicast, users participate in efficient multicasting, sending data to a single conference IP address instead of copying data to all participants in a conference. This service provider is installed with XOX and Windows Server 2003 operating systems.

Note

  • For information about configuring telephony service providers, see To configure telephony service providers on a telephony server.


Understanding telephony

This section covers:

  • General telephony concepts
  • IP telephony
  • IP multicast video conferencing


General telephony concepts

This section covers:

  • Introduction to telephony
  • PSTN telephony
  • PSTNs, PBXs, and computer networks
  • How TAPI supports programs and hardware


Introduction to telephony

Telephony Application Programming Interface (TAPI) provides a uniform set of commands for any supported telephony device that is connected to your computer.

How TAPI works

When you use a Windows Server 2003 family program to send faxes, connect to a telephone, make a call using IP, join a conference, or perform other TAPI-supported activities, there are three layers of software that enable you to use a telephony device: a program, TAPI, and a telephony service provider.

TAPI's three layers
  • A program enables you to make phone calls, send and receive data or faxes, or join conferences. Microsoft and independent software vendors provide programs that incorporate TAPI functionality. Examples include HyperTerminal, which is included with Windows Server 2003 operating systems. Fax Services, another communication program that uses TAPI, is available on an optional basis. For information about how to add optional Windows components, see To add or remove a Windows component.
  • TAPI provides telephony functions for programs, such as dialing.
  • A telephony service provider translates the commands for a telephony device or telephony protocol. Telephony service providers for modems and several telephony protocols are installed with Windows Server 2003 operating systems, and others are provided by independent hardware vendors.

How TAPI works with telephony hardware

In place of proprietary solutions that are difficult and expensive to implement, TAPI provides a single set of commands allowing hardware and software to come from different sources. When a telephony program requests an action, TAPI determines which telephony service provider supports the device, and the service provider sends the appropriate commands to the device.

For example, the Unimodem (Universal Modem) 5 Service Provider is installed with Windows Server 2003 operating systems. When an program initiates the dialing of a phone number, TAPI sends the appropriate commands to the Unimodem 5 Service Provider, and it sends the correct sequence of commands for dialing the number on the particular modem attached to the computer. The program does not need to know anything about the modem.

With TAPI, the Windows Server 2003 operating system provides a telephony platform. The Windows Server 2003 operating system is the operator that interconnects computer and telephony resources to direct and manage calls. TAPI-based software can provide solutions ranging from complete small office systems or home office systems to PBX front ends that integrate the computer and telephone networks of an organization.

How TAPI makes resources available to users

Network users make calls using lines. They may also use phones for call management and control. These are supported by the telephony service providers. A telephony administrator makes telephony resources on a server, such as lines and phones, available to users.

Lines

In telephony, a line is any media stream (data, voice, or video) supported by a telephony service provider. For a modem, the line represents an actual telephone line. For other devices, it can represent another media stream, such as a gateway to the Internet. Calls are made using a line provided by a telephony service provider. A single line can support more than one call at a time, such as with call waiting and conferencing. The telephony service provider determines how physical devices are represented by telephony lines.

Phones

A phone in TAPI represents terminal equipment that is supported by a telephony service provider. In TAPI, a "phone" closely models a physical telephone, but may not be actual hardware. It includes the concepts of a hookswitch, handset, speaker, microphone, display, lamps, and programmable buttons. As with an actual telephone on your desk, a phone may be used without actually making calls to someone else. For example, you can use a telephone handset to listen to or retrieve voice mail messages.

A phone does not have to represent actual hardware; it can be emulated in software. For instance, this type of phone might be a program that uses TAPI or a telephony service provider. A physical phone is not required to manage a media stream and, although all telephony service providers support lines, not all telephony service providers support phones.

How TAPI supports telephony

The Windows Server 2003 family supports computer-telephony integration, from simple small office or home-based solutions to full-scale, enterprise-wide solutions. Low-level telephony solutions enable an individual to:

  • Use a computer as an answering machine or voice mailbox.
  • Use a computer to send and receive faxes.
  • Use a microphone and speaker or a speakerphone connected to a multimedia computer as a phone system.
  • Log on to a computer from a remote location.

These solutions are typically supported by a direct connection from a desktop computer to a phone line with a modem. Enterprise-wide solutions rely on a network and enable an organization to:

  • Use a computer either as a multiline phone system or as a multifunction PBX controller.
  • Provide a voice-mail system across your entire enterprise.
  • Provide a fax system across your entire enterprise.
  • Provide on-demand audio information services that allows callers to retrieve prerecorded or computer-generated text-to-speech information.
  • Fax information to customers on demand, based on touch-tone keys or other input.
  • Implement automatic, list-based dialing for telemarketing.
  • Deliver database information related to a call (such as a customer profile or account information) at the same time it is switched to a desktop.
  • Create a single, easy-to-use client program to manage all communications, such as voice, pager, e-mail, and conferencing.
  • Provide dial-up access to the network.

On a network, a hardware interface adapter on a server connects the LAN to a public or private telephone network. The adapter is supported by a telephony service provider. Programs running on the server provide calling features such as conferencing, transferring, forwarding, holding, and automatic redialing. The server controls the calls going through the network and out onto the PBX.

Client programs provide voice, video, fax, and data communications for the user. As this section illustrates, the client programs call functions provided by the Telephony service on the client. The Telephony service on the client uses the Windows Remote Service Provider to communicate over the network with the telephony service providers on the server, and the actual telephony services are provided by the telephony service providers managing telephony devices on the server.


PSTN telephony

The public switched telephone network (PSTN) is a traditional, circuit-switched network which is optimized for real-time voice communication. When you call someone, you close a switch by dialing and establish a circuit with the other party. The PSTN guarantees Quality of Service (QoS) by dedicating the circuit to your call until you hang up the telephone. Whether you and your party are talking or silent, you continue to use the same circuit until you hang up.

Telephony Application Programming Interface (TAPI) enables programs to communicate easily over the traditional telephone network. TAPI provides support for the direct connection to a PSTN network, automatic phone dialing, and interfaces for conference calling, voice mail, and caller ID.

TAPI helps make the Windows Server 2003 family a powerful and flexible platform for developing and using computer-telephony integration (CTI) programs. Programs can build on TAPI's client-server support to provide a graphical interface for system administration and enhanced services, such as voice mail, call queueing, follow-me call forwarding, telephony-computer integration, and speech recognition. Besides enabling individual programs to provide telephony services, TAPI manages the telephony devices, so more than one program using a line can remain active simultaneously. One program can wait for a call while another is dialing out.

In a client-server environment, telephony can be managed like any other network service. You can specify the lines and phones available to particular users and use domain security to control access to telephony resources. Telephony service providers and all stored parameters can be updated across a LAN, making it easy to set up, use, and manage resources without regard to physical location.


PSTNs, PBXs, and computer networks

In telephony, desktop computers interact with telephony hardware. Most PBXs implement the computer-telephony integration (CTI) link with hardware that connects the PBX to one or more computers. Communication between a PBX and computers is rarely straightforward, because many vendors implement the CTI link differently. Furthermore, there is no standard for encoding data on the CTI link. As a result, computer-based telephony programs often need to understand the switch's proprietary language, which requires a separate driver. By using TAPI, you can use one API that many programs can use to request telephony services, and supply one translator (called a telephony service provider) for each PBX or other piece of telephony hardware.

Windows supplies several telephony service providers. The telephony service provider that enables telephony client-server functionality is the Microsoft Windows Remote Service Provider. Proprietary hardware may require additional telephony service providers, which are normally packaged with the hardware or available from the equipment manufacturer.

Microsoft Windows client-server components

TAPI includes the following components that support client-server CTI.

Server-side components

The following components are available on the telephony server.

  • Telephony console. Enables administrators to administer and monitor a telephony server, lines, phones, and users.
  • Telephony service provider. Translates between the generalized commands created by the Telephony service and the proprietary commands that the hardware uses. Provided by the hardware vendor.
  • Telephony service. On the server side, communicates with the remote service provider running on the clients. Also communicates with telephony programs running on the server, such as the client manager program.

Client-side components

The following components must run on the client or appear on the client.

  • Telephony service. On the client side, communicates with client-side telephony programs and acts as a link between those programs and the Windows Remote Service Provider.
  • Windows Remote Service Provider. Communicates over the network with the Telephony service running on the telephony server computer.

Note that these components do not include client-side TAPI-based programs. Some general purpose programs use TAPI. Specialized programs, such as those that manage call centers, are provided by independent software or hardware vendors.


How TAPI supports programs and hardware

Telephony Application Programming Interface (TAPI) supports programs that share the same communication ports and devices. Communication programs use TAPI to communicate with and control the appropriate hardware. TAPI manages the way programs and their call traffic use ports and devices. Telephony service providers provide support for particular devices or classes of devices.

TAPI support for telephony programs

Telephony service providers

Telephony service providers are dynamic link libraries (DLLs) that translate the commands for a specific telephony device, carrying out the low-level tasks required to communicate over telephone and IP networks.

How TAPI makes services available

TAPI arbitrates requests from different communication programs, so they can run simultaneously while sharing communication ports and devices. Each service provider controls its hardware. For example, one Windows Server 2003 family program can use TAPI functions to make outgoing calls while other programs are waiting for incoming calls.

Although only one program controls any single call, the devices are available to other programs, and users do not have to close other programs that share a communication port.

Supplied telephony service providers

The following table lists the telephony service providers that are supplied with Windows Server 2003 operating systems:

Telephony service providers | Used for
HID Phone | Human Interface Device (HID) telephone communications
H.323 | IP telephony multimedia communications
Multicast Conference | IP telephony multiparty conferencing
Unimodem 5 | Modems
NDIS Proxy | Connection-oriented network devices using NDIS 5
TAPI Kernel-Mode | Connects network devices using NDIS 4
Windows Remote | Client-server telephony

For more information about telephony service providers, see Telephony service providers.

Additional hardware support

Other service providers can be installed, in addition to telephony hardware or software.

Hardware manufacturers normally supply device drivers for their hardware. To provide telephony services for the hardware, the manufacturers or independent software vendors provide telephony service providers to control the hardware. Each service provider supports at least one device specific to that category of communication, such as a fax board, an ISDN card, a telephone or a modem. Some service providers support several devices, or even an entire class of devices.

For more detailed information about how telephony works, see Resources.


IP telephony

This section covers:

  • IP telephony concepts
  • H.323 IP telephony calls


IP telephony concepts

IP telephony refers to telephone communications over TCP/IP networks. In contrast to the PSTN, which consists of analog and digital signals over a circuit-switched network, IP telephony is packet switched. All information to be transmitted over the network is separated into data packets. Each packet has a header containing its source and destination, a sequence number, a block of data content, and an error-checking code. Routers and servers direct these packets over the network until they arrive at their destination. When the packets arrive, the sequence number is used to reassemble the packets in their original order. Unlike PSTN telephony, which dedicates a circuit for a telephone call, the data packets share a circuit with other transmissions.

How IP telephony works

IP telephony blends voice, video, and data by using TCP/IP as a common transport, effectively collapsing these separate channels into one. Clients using IP telephony employ either existing multimedia hardware or a phone plugged into a PSTN adapter.

IP telephony supports voice communication, voice and video mail, and video on demand. IP telephony also enables voice and video conferencing over the Internet and existing IP-based LANs and WANs.

Benefits of IP telephony

IP telephony provides the following benefits:

  • IP telephony moves multimedia traffic over any network that uses IP. This offers users both flexibility in physical media (PSTN lines, xDSL, ISDN, leased lines, coaxial cable, satellite, and twisted pair) and flexibility of physical location.
  • IP telephony lowers costs of existing services, such as voice and broadcast video, and broadens means of communication to include audio and video conferencing.

TAPI support for IP telephony

Two telephony service providers provide IP telephony support in the Windows Server 2003 family: the H.323 TAPI Service Provider and the Multicast Conference TAPI Service Provider. These service providers support the H.323 and IP multicast video conferencing standards and enable different IP telephony programs to interoperate with each other. Organizations can now take full advantage of the global reach of the Internet or the immediacy of a corporate intranet for real-time communication.

Quality of Service for IP telephony

Packet-switched networks such as the Internet do not dedicate a connection between parties, so they cannot guarantee Quality of Service (QoS) as the PSTN does. Historically, they have been used for programs, such as e-mail and file transfer, where variable QoS is acceptable.

Organizations can now design private networks to provide adequate bandwidth and redundant paths between switching points for high quality IP telephony. New software and hardware have improved QoS, and voice over IP on a WAN can be as good as standard PSTN calls, even if the network is congested. For more information about QoS, see QoS overview.


H.323 IP telephony calls

The H.323 TAPI Service Provider provides H.323 version 1.0 support for TAPI-based programs. H.323 is a comprehensive (ITU-T) standard. It provides for multimedia communication over computer networks that do not provide a guaranteed quality of service, such as IP-based networks and the Internet. The H.323 standard enables any H.323-compliant terminal to operate with another.

H.323 encompasses call control, multimedia streaming, and bandwidth management for point-to-point calls and multipoint conferences over packet-switched networks. It is used for peer-to-peer, two-way delivery of audio and video phone data. It is designed to interact well with PSTN or Internet phone gateways. For conferencing, it works well for a moderate number of participants.

H.323 support defines the format for audio and video information and how audio and video information is packaged for transmission over the network. Standard audio and video codecs encode and decode input and output from audio and video sources to be communicated between nodes on a network.

TAPI 3.1 in XOX and the Windows Server 2003 family support H.323 gateways, gatekeepers, and proxies. To implement H.323 gateways and proxies with the H.323 TAPI Service Provider, see To specify an H.323 gateway or proxy. To implement H.323 gatekeepers, see To specify an H.323 gatekeeper.


IP multicast video conferencing

This section covers:

  • How TAPI supports IP multicast video conferencing
  • Security for multicast video conferencing


How TAPI supports IP multicast video conferencing

The DHCP service provides Multicast Address Dynamic Client Allocation Protocol (MADCAP) support required for IP multicast video conferencing. DHCP provides unicast addresses for point to point communications between two networked computers. These addresses are unique and specific to a single network. In contrast, MADCAP provides multicast IP addresses, which are shared by many computers. These enable data to be forwarded to all members of a multicast group. The membership of a multicast group is dynamic, which means individual hosts can join or leave the group at any time.

MADCAP is part of the DHCP service, which is an optional component of the Windows Server 2003 family. Clients that are manually configured or use DHCP to obtain a unicast IP address lease can also use MADCAP to obtain multicast IP address configuration. Although MADCAP is packaged in the DHCP service, the DHCP and MADCAP services are independent of each other. You can use a MADCAP server to provide multicast addresses and run DHCP on other servers to provide DHCP services on your network.

MADCAP is built on a client/server model, where multicast conference hosts request addresses from a MADCAP server.

TAPI application directory partitions provide Active Directory directory services for IP multicast conferencing and H.323 telephony. They also publish IP multicast conferences and user IP mappings for H.323 IP telephony and enable users to join conferences and make IP telephone calls. For more information about TAPI application directory partitions, see Tapicfg and TAPI and Active Directory.

For information about installing IP multicast and video conferencing on your network, see Enabling IP multicast.


Security for multicast video conferencing

The TAPI 3.1 conference security system determines who can create, delete, view, and join conferences. Each published conference can be associated with a security descriptor. This specifies object access rights on a user or group basis.

By associating security descriptors with SDP conference descriptors, conference creators can specify who can enumerate and view conference announcements. User authentication is provided by the Windows security subsystem.

For more information, see Security.


Using telephony

This section covers:

  • Dialing rules overview
  • Canonical address format for phone numbers
  • Telephony hardware requirements
  • Setting up clients for IP telephony
  • Setting up conference rooms
  • Enabling IP multicast
  • Eliminating acoustic echo
  • Setting up the PSTN server and client
  • Managing telephony from the command line


Canonical address format for phone numbers

The canonical address format is a universal phone number format recognized by the Windows Server 2003 Telephony API (TAPI). The format explicitly identifies the components of a phone number, which TAPI translates according to a country or region's dialing rules. The canonical address format is:

+Country/RegionCode (AreaCode) SubscriberNumber

For example, this is how you would enter a number for a subscriber in the United States of America in canonical address format:

+1 (425) 555-0100

Some address book programs store numbers in canonical address format. If your computer is not dialing a number correctly, you may try saving or entering the number in this format.

Components

+
Indicates that the number is in canonical address format.
Country/RegionCode
The standard country/region code that identifies the country or region for a phone number. This contains one or more digits from 0 through 9. The country/region code is delimited by the space that follows it.
(AreaCode)
The area or city code for the phone number. This may contain one or more digits from 0 through 9. The area or city code is delimited by parentheses. This component is omitted for countries/regions that do not use area or city codes.
SubscriberNumber
The number for a phone subscriber. This contains one or more digits from 0 to 9, formatting characters, or the dialing control characters:

A a B b C c D d P p T t W w * # ! @ $ ?

The subscriber number should not contain the following characters:

( ) ^

Formatting characters in the subscriber numbers are normally spaces, periods, and dashes. Use formatting characters to make a phone number easier to read. They do not affect dialing, because TAPI discards them.


Telephony hardware requirements

To hook up a regular (PSTN) phone line to your local computer, you must have a voice modem. To send and receive faxes in addition to making voice or data calls, you must have a fax modem.

To use IP telephony service providers, your computer must have a sound card, video camera, speakers, and a microphone (or headset).

To support speech and hearing simultaneously, you must have a full-duplex sound card.

To include video communications, you must have a video capture card.

You may need to install other hardware for special telephony programs. For example, to connect trunk lines for a personal computer–based telephony server or cables to connect to a PBX system, you may need expansion cards. For additional information about your telephony hardware requirements, consult your vendor.

To verify hardware compatibility, see the Compatible Hardware and Software section at Support resources.


Setting up clients for IP telephony

Each client computer must run XOX or a Windows Server 2003 operating system and be equipped with a video camera, sound card, speakers, and microphone (or headset).

Install XOX or a Windows Server 2003 operating system

All of the XOX and Windows Server 2003 components required to support TAPI multicast conferencing on a client computer are included with these operating systems.

Create computer and user accounts

The client computer should be added to a domain. When the client computer is added to a domain, a computer account is automatically created for it. The user should also have a user account in a domain, and should log on to the computer with this account.

If computer or user accounts for the domain are not created, users will not be able to access TAPI application directory partitions to participate in multicast conferencing. If Internet Locator Service (ILS) servers are being used to support multicast conferencing, users will have to manually add the ILS servers to multicast conferencing programs. The multicast conferencing capabilities are otherwise still available.

Install a full duplex audio sound card

XOX and Windows Server 2003 operating systems support a wide range of audio devices. Multicast conferencing requires a sound card capable of full duplex audio functions. Such sound cards allow audio to be played back and recorded simultaneously. The manufacturer's documentation should describe the characteristics of your sound card.

Verify full duplex audio

If you are uncertain whether your system supports full duplex audio, install and start Sound Recorder and record a long message (about one minute). (Sound Recorder is an audio program that is available on an optional basis. For information about how to add optional Windows components, see To add or remove a Windows component.) Rewind the recording and start Sound Recorder again, so it appears in two places on the desktop. In the first instance of Sound Recorder, start playing back the recording, and then use the other instance to simultaneously record another message. If you can record and play back simultaneously, then your system supports full duplex audio. For more information about using Sound Recorder, see Using Sound Recorder.

Eliminate acoustic echo

Acoustic echo is a common problem with audio conferencing systems. You can eliminate acoustic echo by using an audio headset or by enabling acoustic echo cancellation (AEC). For more information, see Eliminating acoustic echo.

Install the video camera

Video cameras designed to connect to your computer capture and transfer video images to the computer. TAPI multicast conferencing components are able to acquire these images using WDM or Video for Windows interfaces that are built into the operating system.

Many of the older video cameras require the use of a video capture card that fits into an ISA or PCI slot inside your computer. Video capture cards connect to the camera with a cable, using connectors built into the back of the capture card. XOX and Windows Server 2003 operating systems provide support for many such cameras.

The newer generation of cameras uses Universal Serial Bus (USB) interfaces to eliminate the need for a video capture card. The camera can be directly plugged into a USB port in the back of your computer without switching off or opening up the computer. XOX and Windows Server 2003 operating systems automatically detect these cameras, using Plug and Play, and install all the device drivers necessary to make the camera work.

Ensure that drivers are available for the video camera model that you choose. To verify the compatibility of a driver, click the Compatible Hardware and Software link at Support resources.

Add USB ports to your computer

Some older computer models may not contain USB ports. This is easily determined by examining the back of the computer for a rectangular female connector that corresponds to the male USB connector on your camera.

Such computers can be upgraded by using PCI cards that have two to four USB ports on the back. Inexpensive cards can be ordered from online computer retail Web sites.


Setting up conference rooms

On the computer, conference rooms have similar configurations as workstations, but you must provide audio and visual coverage for a group of people.

Get a good microphone

Headsets are not practical for canceling echoes in conference rooms. Special equipment that cancels echoes is required, which contains long range microphones and speakers with automatic gain control. Some of these devices can track a speaker walking around a room and automatically adjust the volume before transmitting it to other participants. Several manufacturers produce this equipment. For more information, see Eliminating acoustic echo.

Install a large screen television

Your conference rooms may already be equipped with large screen televisions or projection systems. Connect the video output from a computer to these systems to provide an image that is suitably large for viewing by groups of people.

Set up logon access

When a participant joins a multicast conference, TAPI automatically determines the name of the user and displays this to other conference participants. This works fine for client workstations, because users usually log on to Windows using their domain accounts. For a video conferencing computer in a conference room, you may want to create a user account that uses the conference room name or location. This allows participants to associate the name of the conference room with its image.


Enabling IP multicast

To enable multicast conferencing on your network, you must install Active Directory and configure a server with the MADCAP service. The steps are listed in Checklist: Installing IP multicast video conferencing.

For more information about MADCAP and the Microsoft implementation of multicast conferencing, see How TAPI supports IP multicast video conferencing.

Checking routers on your network

The Windows Server 2003 family provides the following support for troubleshooting multicast routing and forwarding problems:

  • The mrinfo command displays the configuration of a multicast router.
  • The following netsh commands display multicast group tables and troubleshooting information for interfaces.
    • netsh routing ip show mfe displays the entries in the multicast forwarding table.
    • netsh routing ip show mfestats displays packet statistics and input and output interface information for multicast forwarding entries in the multicast forwarding table.
    • netsh interface ip show joins displays the multicast groups locally joined on each interface.
  • Although the Windows Server 2003 family does not provide a version of the Mtrace multicasting utility, a multicast router running Windows Server 2003 does respond to mtrace command queries from other Mtrace utilities.

For more information about how to use the mrinfo command and netsh commands for troubleshooting multicast routing and forwarding problems, see Using the IP multicasting utilities. For general information about how to use Netsh, see Netsh overview.

Configuring routers on your network

If there is a router on your network and you want to enable multicast conferencing across the router, you may have to configure your router to handle multicast packets. This can involve several steps:

  1. Enable multicast for the network (globally).
  2. Determine the interfaces on which to use multicast, and enable multicast on those interfaces.
  3. Enable multicast routing protocols on specific devices. For example:
    • PIM Sparse mode for links that have limited bandwidth.
    • PIM Dense mode for links that have broad bandwidth.
    • DVMRP
  4. Create access lists specifying the range of multicast group addresses allowed to cross the router.
  5. Associate access lists with specific interfaces on different routers.

To configure routing services, see Routing. To configure a particular router, refer to the documentation provided by the manufacturer.


Eliminating acoustic echo

Acoustic echo is a common problem with audio conferencing systems. It originates in the local audio loopback that occurs when your microphone picks up audio signals from your the speaker, and sends it back to the other participant along with your voice. The other participant hears this echo of his or her own voice as he or she speaks. For example:

  1. Alice and Bob are participating in a call or conference.
  2. Alice speaks into her microphone.
  3. Bob hears Alice's voice played by his speaker.
  4. Bob's microphone also picks up and transmits Alice's voice.
  5. Alice can now hear an echo of her own voice, with a slight delay due to the round-trip transmission time.

Acoustic echo can be caused or exacerbated when very sensitive microphones are used, speaker volume is turned up very high, or the microphone and speaker are very close to one another. Besides being annoying, this can prevent normal conversation among participants in a conference.

Eliminate echo with audio headsets

One of the easiest ways to completely eliminate acoustic echo is to use audio headsets. These play audio at low volume very close to a conference participant's ears. This prevents the microphone from picking up the audio signal.

Many different audio headsets are available to use with personal computers. These have connectors designed to fit into the audio jacks on sound cards. Many also have built-in microphones that enhance audio quality by staying a constant distance from a person's mouth, even while one moves or changes position.

Eliminate echo with acoustic echo cancellation

In XOX and Windows Server 2003 operating systems, TAPI 3.1 provides support for acoustic echo cancellation (AEC). During the process of AEC, a digital signal processor electronically compares the speaker signal to the microphone signal, and then subtracts the speaker signal from the microphone signal. In this way, AEC prevents the speaker sound from being fed back into the microphone and transmitted as an echo.


Setting up the PSTN server and client

Telephony programs can use telephony devices controlled by both local and remote telephony service providers. For remote devices, the telephony server controls user access to lines and phones. The Windows Remote Service Provider on client computers gives users access to telephony devices on remote servers. The following instructions summarize how to set up the telephony server and clients.

Select a server that is part of a domain

Make sure that the server that will be used as a telephony server is part of a domain and that the domain is trusted by the telephony users' domains. Add telephony clients to this domain or a fully trusted domain. Clients cannot be logged on to more than one domain at a time. For information about adding local users or groups, see Local Users and Groups overview. For more information about adding users and groups in Active Directory, see Active Directory Users and Computers.

Administer the telephony server

Log on to the server as an administrator. Administrators of the Telephony service must be in the same domain as the server or in fully trusted domains. Use the Telephony console in the Microsoft Management Console (MMC) to administer the Telephony service on the local computer. To open the Telephony console, see Working with MMC console files.

Enable the telephony server

The telephony server is automatically installed with Windows Server 2003 operating systems. To begin using the telephony server, you must first enable it, and then specify the logon account for the Telephony service on the server. You can also specify additional telephony administrators. They do not have to have administrative credentials on the entire server.

Use the Telephony console to enable the telephony server. For more information, see To enable or disable a telephony server.

When you enable the telephony server, enter the user name and password of the domain user account to run the Telephony service on the server. (For more information, see To change the Telephony service logon account for a telephony server.) This account must be in the Administrators group on the server. It must also be in the same domain as the server or in a fully trusted domain. You may want to create a special account in the domain for this purpose. If you do, use an easily recognizable name, such as TAPI_ADMIN.

You should also designate individuals who will administer the telephony server. (For more information, see To designate telephony administrators.) This procedure enables you to allow users who do not have administrative credentials on the telephony server to administer the Telephony service. This procedure does not give users additional administrator rights and permissions on the server. Users who have administrative credentials on the telephony server can administer the Telephony service just as they can administer any other service on the computer. These users must be in the same domain as the telephony server or in fully trusted domains.

Provide access to Telephony service providers

Specify which users have access to the telephony service providers on the telephony server. This task is also performed in the Telephony console. You can do this by assigning users to a line or phone belonging to the service providers. (For more information, see To assign a telephony user to a line or phone.) Users need to be in the same domain as the telephony server or in a trusted domain. If you need to delete a user, follow the steps in To remove users from telephony lines or phones.

Set up the telephony clients

To use remote PSTN telephony devices on a server, telephony clients must be running TAPI version 2.1 or later. For information about which version of TAPI is included in each Windows operating system, see Service packs and updates.

Computers running Windows 98 or Windows Millennium Edition must have File and Printer Sharing for Microsoft Networks and user-level access control enabled, and they must be running Client for Microsoft Networks. For more information, see To enable a Windows 98 or Windows Millennium Edition telephony client.

For all operating systems, you need to specify the telephony servers to be used by the client. For more information, see To specify telephony servers on a client computer. The clients must be in the same domain as the telephony server or in fully trusted domains.


Managing telephony from the command line

In addition to the Telephony console, you can use command-line utilities to manage telephony servers and clients. For example, you can use Tapicfg to create, remove, or display a TAPI application directory partition, publish a service connection point for a TAPI application directory partition, or set a default TAPI application directory partition.

You can use Tsecimp to import assignment information from an Extensible Markup (XML) file into a telephony server security file (tsec.ini) and to set up or disable telephony clients.

For information about other command-line utilities, see Command-line reference. For more information about manageability, see Management strategies and tools.

Note

  • If your telephony clients or servers run Windows NT 4.0 or Windows 2000, you must run tcmsetup to set up telephony clients. If your telephony clients run XOX or a Windows Server 2003 operating system, and your telephony servers run Windows Server 2003, you can set up telephony clients by adding the Windows Remote Service Provider to your clients instead. To add the Windows Remote Service Provider, see To add a telephony service provider.


Resources

This section includes information about additional telephony resources.

Service packs and updates

TAPI 2.2 supports the PSTN client-server telephony functionality provided with Windows NT 4.0 Service Pack 4. TAPI 3.0 and TAPI 3.1 support both PSTN telephony and media stream IP telephony and are compatible with products supported by previous versions of TAPI.

The following table shows the version of TAPI included with each Windows operating system. (Recent releases, service packs, or updates might not appear on this table.)

Windows release | TAPI version
Windows 95 | TAPI 2.0
Windows NT 4.0 | TAPI 2.0
Windows NT 4.0 Service Pack 4 | TAPI 2.1
Windows 98 | TAPI 2.1
Windows Millennium Edition | TAPI 2.2
Windows 2000 | TAPI 2.2, TAPI 3.0
XOX | TAPI 2.2, TAPI 3.1
Windows Server 2003 family | TAPI 2.2, TAPI 3.1

For the latest Windows updates, including service packs, see the Windows Update section at Support resources.

Other related Microsoft Web sites

  • To verify hardware compatibility, see Compatible Hardware and Software at Support resources.
  • For additional product support, see Microsoft Product Support Services at Support resources.


Troubleshooting

This section provides information about troubleshooting telephony in the Windows Server 2003 family.

  • Troubleshooting IP telephony
  • Troubleshooting PSTN telephony


Troubleshooting IP telephony

What problem are you having?

A program fails to get a multicast address from the MADCAP server.

Cause: The server is not reachable from the client, or the server is not set up correctly.

Solution: The MADCAP server and client must both be in the same domain. The MADCAP server must be configured correctly.

See also: Using Multicast Scopes; Enabling IP multicast; Checklist: Installing IP multicast video conferencing; To create a multicast scope.

Programs warn that they are using a local random address allocation when users create conferences.

Cause: All addresses have been allocated for the scopes assigned for MADCAP.

Solution: Expand the size of the MADCAP scope.

See also: Using Multicast Scopes; Enabling IP multicast; Checklist: Installing IP multicast video conferencing; To create a multicast scope.

A client cannot see all participants in a multicast conference.

Cause: Servers running Routing and Remote Access may not be configured correctly for multicast telephony.

Solution: Check that multicast is enabled in both directions on servers running Routing and Remote Access.

See also: Understanding multicasting; Configure IP multicast support; Using the IP multicasting utilities.

Audio or video does not function correctly in a call or conference.

Cause: Either the audio or video is working incorrectly, or the system is using an older audio or video driver that is incompatible with Windows Server 2003 operating systems. Test audio and video on your computer by doing the following:

  • Install and use Sound Recorder to check your microphone and speakers. Sound Recorder is an audio program that is available on an optional basis. For information about how to add optional Windows components, see Add or remove a Windows component.
  • Use a video capture program to check the video camera and its settings, such as Vidcap32, found in the Platform Software Development Kit (SDK).

Solution: Check the audio or video equipment manufacturer's Web site for the latest Windows Server 2003 family–compatible drivers.

See also: Using Sound Recorder; Multimedia and games troubleshooter in the List of troubleshooters; To diagnose device problems.

There are audio or video device errors during calls or conferences.

Cause: The audio or video device is being used by another program, or the sound card does not support full-duplex functionality.

Solution: If closing another program that is using an audio or video device does not resolve the problem, then check that the sound card and driver support full-duplex functionality:

  • Install and start Sound Recorder, and record a long message (about one minute). (Sound Recorder is an audio program that is available on an optional basis. For information about how to add optional Windows components, see Add or remove a Windows component.) Rewind the recording, and start Sound Recorder again, so that it appears in two places on the desktop. In the first instance of Sound Recorder, start playing back the recording you made, and then use the other instance to simultaneously record another message. If you can record and play back simultaneously, then your system supports full-duplex audio.

See also: Using Sound Recorder; Multimedia and games troubleshooter in the List of troubleshooters; To diagnose device problems.


Troubleshooting PSTN telephony

What problem are you having?

One or more client computers cannot see the telephony server.

Cause: The server cannot be reached on the network because it is not set up correctly.

Solution: Ensure the following:

  • The client computers can successfully log on to a domain.
  • The client computers can successfully see the server with the ping command.
  • That the telephony server has been configured correctly.

See also: To permit users to log on locally to a domain controller; Diagnose connections; Troubleshooting unicast IP; Manage telephony servers.

Client computers cannot see lines on the telephony server.

Cause: The telephony server has not been set up correctly, or users have not been authorized to access lines on the server.

Solution: When a TAPI-based program accesses lines on the telephony server, the user who is running the program process is first authenticated. For the user to see the lines, they must have been assigned to the user. Ensure that the server has been set up correctly and that the user is assigned lines on the server.

See also: Manage telephony servers; To assign a telephony user to a line or phone.

A client user cannot see lines or phones on the telephony server even though the server is set up correctly and the lines or phones have been assigned to the user.

Cause: The client computer has not been enabled to use the telephony server.

Solution: Use tcmsetup on the client computer to specify the telephony server.

See also: To specify telephony servers on a telephony client; Tcmsetup.

A program fails to start after a user canceled out of the telephony location information dialog box.

Cause: The program requires TAPI to translate addresses, but address translation requires current telephony location information, which has not been specified.

Solution: When the location information dialog box is displayed, the user should enter the country/region, local area code, external line access settings, and select tone or pulse dialing. The user can instead create a location for telephony.

See also: Dialing rules overview; To create a new location.

A client user cannot see a new line on the telephony server, even though the server administrator has assigned the user to the line.

Cause: When you assign a currently running client user to a line on the telephony server, the new settings will not be available until the user restarts the Telephony service on the client computer.

Solution: Stop all client TAPI-based programs on the client so that the Telephony service will shut down. When the client programs restart, they will be able to see the newly allocated lines. If you cannot get TAPI to shut down, restart the client computer.

See also: Manage telephony clients and users; To start, stop, pause, or resume a service.

A telephony program dials a long distance number incorrectly.

Cause: The program is not sending the correct number to TAPI.

Solution: Check that the number is entered correctly. If the long distance dialing rules for the country/region code are not being implemented, try entering the phone number in canonical address format:

+Country/RegionCode (AreaCode) SubscriberNumber

This is a universal address format for telephone numbers, and it is recognized by TAPI. The format distinguishes the country/region code, area code, and number, so TAPI will dial according to the dialing rules for the country or region.

See also: Canonical address format for phone numbers.


Using Phone Dialer for telephony

Phone Dialer is a TAPI-based program that is installed with Windows Server 2003 operating systems. You can use this program for IP multicast video conferencing, dialing over a modem that is connected directly to the computer, and for making IP phone calls over the computer network, PSTN phone calls using an H.323 gateway to a PBX, and IP phone calls between networks or over the Internet using an H.323 proxy.

Depending on which types of telephony you are going to support on your network, users need a telephone connected to their computer or the PBX, a modem, a network account, a telephone switch connected to your local area network, or an Internet address.

Locating the TAPI application directory partition for IP multicast video conferencing

Before Phone Dialer can allow you create and join IP multicast video conferences, you must provide the location of a TAPI application directory partition in your network. In Active Directory, TAPI application directory partitions store information about IP multicast video conferences in progress, so that users can locate and join conferences. For more information about TAPI and Active Directory, see TAPI and Active Directory.

In Phone Dialer, two types of directories are supported:

  • My Network Directory, which represents Active Directory and contains objects that represent individuals. This directory is empty by default.
  • Speed Dial, which represents a directory of IP addresses or phone numbers that are called frequently.

Note

  • If Internet Locator Service (ILS) is needed to support certain programs, you can continue to use ILS servers in your organization because telephony clients running XOX or a Windows Server 2003 operating system can query either ILS servers or TAPI application directory partitions.